=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2011-08-12 22:58:29 +0000
+++ annotate/gannotate.py	2011-08-13 00:28:44 +0000
@@ -468,7 +468,7 @@
         image.set_from_stock('gtk-stop', Gtk.IconSize.BUTTON)
         button.set_image(image)
         button.set_relief(Gtk.ReliefStyle.NONE)
-        button.connect("clicked", lambda w: self.hide_all())
+        button.connect("clicked", lambda w: self.hide())
         self.pack_start(button, False, False, 0)
 
         # Search entry
@@ -593,6 +593,6 @@
         for row in iterate(model, start):
             if self._match(model, row, self._column):
                 path = model.get_path(row)
-                self._view.set_cursor(path)
+                self._view.set_cursor(path, None, False)
                 self._view.scroll_to_cell(path, use_align=True)
                 break

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-07-31 16:50:29 +0000
+++ branchview/treeview.py	2011-08-13 00:28:44 +0000
@@ -211,7 +211,7 @@
 
         :param revid: Revision id of revision to display.
         """
-        self.treeview.set_cursor(self.index[revid])
+        self.treeview.set_cursor(self.index[revid], None, False)
         self.treeview.grab_focus()
 
     def get_children(self):
@@ -330,7 +330,7 @@
             self.treeview.set_model(self.model)
 
             if not revision or revision == NULL_REVISION:
-                self.treeview.set_cursor(0)
+                self.treeview.set_cursor(0, None, False)
             else:
                 self.set_revision(revision)
 

=== modified file 'commit.py'
--- commit.py	2011-08-01 14:46:23 +0000
+++ commit.py	2011-08-13 00:28:44 +0000
@@ -596,12 +596,12 @@
             # We have either made it to the end of the list, or nothing was
             # selected. Either way, select All Files, and jump to the global
             # commit message.
-            self._treeview_files.set_cursor((0,))
+            self._treeview_files.set_cursor((0,), None, False)
             self._global_message_text_view.grab_focus()
         else:
             # Set the cursor to this entry, and jump to the per-file commit
             # message
-            self._treeview_files.set_cursor(model.get_path(next))
+            self._treeview_files.set_cursor(model.get_path(next), None, False)
             self._file_message_text_view.grab_focus()
 
     def _save_current_file_message(self):

